Summary: e-smith server and gateway - RPM manipulation utilities
%define name e-smith-rpm
Name: %{name}
%define version 1.3.1
%define release 01
Version: %{version}
Release: %{release}
Copyright: Artistic
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-test >= 0.1.14
# Requires: perl(RPM::Header) 
# Requires: perl(RPM::Database)
BuildRequires: e-smith-devtools >= 1.6.8
AutoReqProv: no

%description
e-smith modules & utilities for manipulating RPMs

%changelog
* Wed Sep  3 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.3.1-01]
- Rebuild [gordonr 1305]

* Wed Sep  3 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.3.0-04]
- Adjusted Copyright [gordonr 1305]

* Wed Aug  6 2003 Tony Clayton <apc@e-smith.com>
- [1.3.0-03]
- Fix arch/_target_cpu parsing in esmith::rpm::spec [tonyc 8528]

* Wed Jul 30 2003 Tony Clayton <apc@e-smith.com>
- [1.3.0-02]
- Add esmith::rpm::macros for manipulating rpm macros [tonyc 5452]
- Allow blank lines among spec headers in spec.pm [tonyc 5452]
- Improve macro expansion in spec.pm [tonyc 5452]

* Wed Jul 30 2003 Tony Clayton <apc@e-smith.com>
- [1.3.0-01]
- Rolling to development stream - 1.3.0

* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-01]
- Changing version to stable stream number - 1.2.0

* Thu Mar 13 2003 Tony Clayton <apc@e-smith.com>
- [1.1.0-02]
- Fix esmith::rpm::installed to release rpm database lock [tonyc 1661]

* Thu Mar 13 2003 Tony Clayton <apc@e-smith.com>
- [1.1.0-01]
- Rolling to development stream 1.1.0 to 1.1.0

* Wed Jan 15 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.0.0-03]
- Added esmith::header::sourcerpm method [gordonr 3840]

* Fri Jan  3 2003 Michael Soulier <msoulier@e-smith.com>
- [1.0.0-02]
- Fixed erroneous parsing of specfiles with leading blank lines. 
  [msoulier 5452]

* Sat Oct 12 2002 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-01]
- Roll to maintained version number to 1.0.0

* Wed Sep  4 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.11-01]
- Removed services references from specs/complete.spec [gordonr 4773]

* Wed Aug 28 2002 Tony Clayton <apc@e-smith.com>
- [0.1.10-01]
- remove debug from last patch [tonyc 3700]

* Wed Aug 28 2002 Tony Clayton <apc@e-smith.com>
- [0.1.9-01]
- fix _increment_alphanum to always increment the last numeric part [tonyc 3700]

* Mon Aug 26 2002 Tony Clayton <apc@e-smith.com>
- [0.1.8-01]
- refactor _cmp_alphanum to support 4.2.5 cmp 4.2, etc [tonyc 4726]

* Mon Aug 26 2002 Tony Clayton <apc@e-smith.com>
- [0.1.7-01]
- fix left-padded zeros handling in rpm.pm. [tonyc 3700]
  -> perl-5.6.0 cmp perl-5.00503 works
  -> e-smith-lib-1.9.58 cmp e-smith-lib-1.9.9 works

* Thu Aug 22 2002 Tony Clayton <apc@e-smith.com>
- [0.1.6-01]
- add regex-{sme5_5+SL,sme5_6a7,rh7_3}.t regression tests [tonyc]
- added 'athlon' to allowed archs to pass regex-rh7_3.t tests [tonyc]

* Thu Aug 22 2002 Tony Clayton <apc@e-smith.com>
- [0.1.5-01]
- fixes to esmith::rpm::cmp functions: [tonyc 3700]
  - fix brokenness for cases like "7" cmp "7es"
  - right-pad with '0' to fix cases like "perl-5.00503" cmp "perl-5.6.0"
- augment version/release/arch regex's and add new test cases [tonyc 3700]
- fix library tests, add some new ones. all tests are succeeding [tonyc 3700]

* Tue Aug 20 2002 Tony Clayton <apc@e-smith.com>
- [0.1.4-01]
- fix version/release regex's in filename.pm and add regex.t [tonyc 3700]
- allow filename.pm constructor to take "$name-$ver-$rel" string [tonyc 3700]
- refactor _cmp_alphanum subroutine and add tests [tonyc 3700]
- add increment_version and increment_release methods to rpm.pm [tonyc 3700]
- add parsing of special %{PACKAGE_*} macros in spec.pm [tonyc 3700]
- add headers method to spec.pm for external access to headers [tonyc 3700]

* Wed Aug 14 2002 Mark Knox <markk@e-smith.com>
- [0.1.3-01]
- Handle the Epoch header in serial method [markk 4523]

* Thu Jun  6 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.1.2-01]
- Bumping to 0.1.2 to resolve ordering issues [gordonr]

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.0-01]
- Changing version to maintained stream number to 0.1.0

* Wed Jun 05 2002 Tony Clayton <apc@e-smith.com>
- [0.1.1-01]
- roll to development stream
- strengthen regex patterns for version, release in esmith::rpm::filename
  [tonyc 3581]
- globalize and allow exporting of regex patterns [tonyc 3581]

* Fri May 24 2002 Charlie Brady <charlieb@e-smith.com>
- [0.0.24-01]
- Grok implicit macros associated with Name, Version and Release
  headers. [charlieb 3642]

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.0.23-01]
- RPM rebuild forced by cvsroot2rpm

* Thu May 9 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.0.22-01]
- Commented out dependency on perl(RPM::Header) and perl(RPM::Database)
  as this doesn't work for older versions of RPM [gordonr 3355]

* Wed May  8 2002 Tony Clayton <apc@e-smith.com>
- [0.0.21-01]
- remove dependency on perl(RPM) and perl(RPM::Constants) [tonyc 3355]

* Wed May  8 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.0.20-01]
- Making esmith::rpm::header and kids use less memory by only retaining
  the parts of the RPM header we need. [schwern 2743]

* Wed May  8 2002 Tony Clayton <apc@e-smith.com>
- [0.0.19-01]
- removed dependency on perl-RPM [tonyc 3355]
- manually added dependencies for: 
  perl(RPM), perl(RPM::Header), 
  perl(RPM::Database), perl(RPM::Constants)  [tonyc 3355]

* Tue May  7 2002 Michael Schwern <schwern@e-smith.com>
- [0.0.18-01]
- esmith::rpm::filename now accepts versions with + in them and
  versions & releases which start with a letter [schwern 2743]

* Tue May  7 2002 Michael Schwern <schwern@e-smith.com>
- [0.0.17-01]
- Making esmith::rpm::filename fail when handed a malformed RPM
  [schwern 2743]

* Fri May  3 2002 Michael Schwern <schwern@e-smith.com>
- [0.0.16-01]
- Fixing esmith::rpm::cmp so it can handle dependencies with no
  release or version # [schwern 2743]
- Noted 'esmith::rpm::file'->new parsing glitch in docs [schwern]

* Mon Apr 29 2002 Michael Schwern <schwern@e-smith.com>
- [0.0.15-01]
- Added packager, buildtime & buildhost methods to esmith::header
  [schwern 2743]

* Wed Apr 24 2002 Michael Schwern <schwern@e-smith.com>
- [0.0.14-01]
- esmith::rpm::file->file was broken [schwern 3019]

* Wed Apr 24 2002 Michael Schwern <schwern@e-smith.com>
- [0.0.13-01]
- Fixing sorting RPMs without a serial number [schwern 3019]

* Wed Apr 24 2002 Michael Schwern <schwern@e-smith.com>
- [0.0.12-01]
- Adding serial number support to esmith::rpm::header [schwern 3019]
- Added sense, as_string and sense_as_string to esmith::rpm::cmp
  [schwern 3019]

* Wed Apr 24 2002 Michael Schwern <schwern@e-smith.com>
- [0.0.11-01]
- Misparse of esmith::rpm::cmp->new() caused bug in unresolved_dependency()
  [schwern 3019]

* Wed Apr 24 2002 Michael Schwern <schwern@e-smith.com>
- [0.0.10-01]
- Changing the way requires() and unresolved_dependencies() report
  their dependencies to be easier to work with [schwern 3019]
- unresolved_dependencies() now takes a list of extra RPMs to check for
  dependencies so it can work with about-to-be-installed RPMs [schwern 3019]
- esmith::rpm::cmp's interface has been completely redone in a class
  [schwern 3019]
- Fixing bug with requires() and RPMs that have no dependencies at all
  [schwern 3019]

* Mon Apr 22 2002 Michael Schwern <schwern@e-smith.com>
- [0.0.9-01]
- Allowing esmith::rpm::filename objects to accept paths not just filenames
  [schwern 3019]

* Mon Apr 22 2002 Michael Schwern <schwern@e-smith.com>
- [0.0.8-01]
- Added tag() to the esmith::rpm hierarchy. [schwern 3019]
- Fixing bug with rpms with + in the filename. [schwern 3019]

* Tue Apr 16 2002 Michael Schwern <schwern@e-smith.com>
- [0.0.7-01]
- Put the special RPM comparison logic back.  RPM.pm's is busted.
  [schwern 3104]

* Fri Apr 12 2002 Michael Schwern <schwern@e-smith.com>
- [0.0.6-01]
- Added esmith::rpm::header, esmith::rpm::installed & esmith::rpm::file
  [schwern 3104]
- Eliminated all special RPM comparison logic.  Using RPM.pm's 
  [schwern 3104]

* Wed Apr 10 2002 Michael Schwern <schwern@e-smith.com>
- [0.0.5-01]
- Added esmith::rpm->tags [schwern 3104]
- esmith::rpm->cmp wrongly documented as a class method in the SYNOPSIS
  [schwern 3104]

* Mon Apr  8 2002 Michael Schwern <schwern@e-smith.com>
- [0.0.4-01]
- Making esmith::rpm::filename->new() reject paths.  Filenames only.
  [schwern 3104]

* Mon Apr  8 2002 Michael G Schwern <schwern@e-smith.com>
- [0.0.3-01]
- Added esmith::rpm::filename->type [schwern 3104]

* Fri Apr  5 2002 Michael G Schwern <schwern@e-smith.com>
- [0.0.2-01]
- Added esmith::rpm->reload [schwern 3104]
- Added esmith::rpm::spec [schwern 3104]

* Thu Apr  4 2002 Michael G Schwern <schwern@e-smith.com>
- [0.0.1-01]
- Robbed esmith::Blade::Package of it's rpm filename parsing logic 
  [schwern 3104]
- Fixed a small problem comparing 2.00pre3 and 2.00 [schwern 3104]
- Created e-smith-rpm [schwern 3104]

%prep
%setup

%pre

%post

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc Copying" >> %{name}-%{version}-%{release}-filelist
echo "%doc Artistic" >> %{name}-%{version}-%{release}-filelist
echo "%doc LICENSE" >> %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
